<div class="row">
  <div class="col-md-12">
    <h2>24h Übersicht</h2>
    <app-loader *ngIf="!twentyFourVisible"></app-loader>
    <app-line-chart
      style="width: 95%"
      *ngIf="twentyFourVisible"
      name="24h Übersicht"
      [chartLabels]="twentyFourHoursLabel"
      [data]="twentyFourHoursWLData"
    ></app-line-chart>
    <div *ngIf="twentyFourVisible" class="row">
      <div class="col-sm-12">
        <p class="d-block float-left">
          <small>
            {{twentyFourHoursWL[0].date | date: 'dd.MM.YYYY' }}
          </small>
        </p>

        <p class="d-block float-right">
          <small>
            {{twentyFourHoursWL[23].date | date:'dd.MM.YYYY'}}
          </small>
        </p>
      </div>
    </div>
    <br><br>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <h2>Jahresübersicht</h2>
    <app-loader *ngIf="!monthVisible"></app-loader>
    <app-line-chart
      style="width: 95%"
      *ngIf="monthVisible"
      name="Jahresübersicht"
      [chartLabels]="['Jänner', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember']"
      [data]="monthData"
    ></app-line-chart>
    <br><br>
  </div>
</div>

